import 'package:json_annotation/json_annotation.dart';

part 'category_notify_item_model.g.dart';
@JsonSerializable()
class CategoryNotifyItemModel {
  int? id;
  @JsonKey(name: 'name_vi')
  String? nameVi;
  @JsonKey(name: 'total_unread')
  int? totalUnread;
  bool? isSelected;

  CategoryNotifyItemModel({
    this.id,
    this.nameVi,
    this.totalUnread,
    this.isSelected,
  });

  factory CategoryNotifyItemModel.fromJson(Map<String, dynamic> json) =>
      _$CategoryNotifyItemModelFromJson(json);

  Map<String, dynamic> toJson() => _$CategoryNotifyItemModelToJson(this);
}